using System;

internal sealed class Delegate521 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate521 delegate521_1)
	{
		return delegate521_1(object_0);
	}

	public extern Delegate521(object object_0, IntPtr intptr_0);

	static Delegate521()
	{
		Class10.smethod_13(typeof(Delegate521).TypeHandle);
	}

	internal static Delegate521 delegate521_0;
}
